<?php

/*
 * @author     M2E Pro Developers Team
 * @copyright  2011-2016 ESS-UA [M2E Pro]
 * @license    Commercial use is forbidden
 */

namespace Ess\M2eProUpdater\Block\Adminhtml\Configuration\Field\Information;

use \Ess\M2eProUpdater\Block\Adminhtml\Configuration\AbstractField;

class UpdaterCurrentVersion extends AbstractField
{
    //########################################

    protected function _getElementHtml(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        /** @var \Ess\M2eProUpdater\Helper\Module $helper */
        $helper = $this->helperFactory->getObject('Module');

        $currentVersion = $helper->getCurrentVersion();
        if (!$currentVersion) {
            $currentVersion = __('Not Installed');
            $element->setBold(true);
        }

        $element->setValue($currentVersion);
        return parent::_getElementHtml($element);
    }

    //########################################
}