<?php

/*
 * @author     M2E Pro Developers Team
 * @copyright  2011-2016 ESS-UA [M2E Pro]
 * @license    Commercial use is forbidden
 */

namespace Ess\M2eProUpdater\Block\Adminhtml\Configuration\Field\Information;

use \Ess\M2eProUpdater\Block\Adminhtml\Configuration\AbstractField;

class UpdaterLatestVersion extends AbstractField
{
    //########################################

    protected function _getElementHtml(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        /** @var \Ess\M2eProUpdater\Helper\Module $helper */
        $helper = $this->helperFactory->getObject('Module');

        $currentVersion = $helper->getCurrentVersion();
        $latestVersion  = $helper->getLatestAvailableVersion();

        if ($latestVersion && (version_compare($latestVersion, $currentVersion, '>'))) {

            $latestVersion .= '  ' . __('[New]');
            $url = $this->helperFactory->getObject('Support')->getDocumentationUrl(null, 'x/bQM0AQ');
            $url .= '#viaM2EProInstallation/UpgradeModule-SetupInstallation\UpgradeModule';
            $upgradeInstructions = __('[upgrade instructions]');

            $afterHtml = <<<HTML
<a href="{$url}" target="_blank">{$upgradeInstructions}</a>
HTML;

            $element->setBold(true);
            $element->setData('after_element_html', $afterHtml);

        } else if (!$latestVersion) {
            $latestVersion = __('N/A');
        }

        $element->setValue($latestVersion);
        return parent::_getElementHtml($element);
    }

    //########################################
}