<?php

/*
 * @author     M2E Pro Developers Team
 * @copyright  2011-2016 ESS-UA [M2E Pro]
 * @license    Commercial use is forbidden
 */

namespace Ess\M2eProUpdater\Block\Adminhtml\Configuration\Field\Settings;

use Ess\M2eProUpdater\Model\Downloader;
use Ess\M2eProUpdater\Block\Adminhtml\Configuration\AbstractField;

class M2eProMinimumStability extends AbstractField
{
    //########################################

    protected function _getElementHtml(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        /** @var \Ess\M2eProUpdater\Helper\Config $helper */
        $helper = $this->helperFactory->getObject('Config');

        $element->setValues([
            [
                'label' => __('Public'),
                'value' => Downloader::VISIBILITY_PUBLIC
            ],
            [
                'label' => __('Non-Public'),
                'value' => Downloader::VISIBILITY_BETA
            ]
        ]);
        $element->setValue($helper->getM2eProMinimumStability());

        return parent::_getElementHtml($element);
    }

    //########################################

    protected function _decorateRowHtml(\Magento\Framework\Data\Form\Element\AbstractElement $element, $html)
    {
        return '<tr id="row_' . $element->getHtmlId() . '" style="display: none;">' . $html . '</tr>';
    }

    //########################################
}