<?php

/*
 * @author     M2E Pro Developers Team
 * @copyright  2011-2016 ESS-UA [M2E Pro]
 * @license    Commercial use is forbidden
 */

namespace Ess\M2eProUpdater\Block\Adminhtml\Configuration;

use Magento\Framework\Data\Form\Element\Renderer\RendererInterface;
use Ess\M2eProUpdater\Block\Adminhtml\AbstractBlock;

class Help extends AbstractBlock implements RendererInterface
{
    //########################################

    public function render(\Magento\Framework\Data\Form\Element\AbstractElement $element)
    {
        $url = $this->helperFactory->getObject('Support')->getDocumentationUrl(null, 'x/bQM0AQ');
        $helpBlock = $this->getLayout()->createBlock('Ess\M2eProUpdater\Block\Adminhtml\HelpBlock', '', ['data' => [
            'content' => <<<HTML
<p>
M2E Pro Updater automates the process of installing and updating your M2E Pro.
Find more details <a href="{$url}" target="_blank">here</a>.
</p>
HTML
        ]]);

        $css = <<<HTML
<style>
    .scope-label { visibility: hidden }
    .entry-edit-head-link + a:before { content: '' !important; }
</style>
HTML;
        return $css . $helpBlock->toHtml();
    }

    //########################################
}