<?php

/*
 * @author     M2E Pro Developers Team
 * @copyright  2011-2016 ESS-UA [M2E Pro]
 * @license    Commercial use is forbidden
 */

namespace Ess\M2eProUpdater\Controller\Adminhtml\Configuration;

use Magento\Backend\App\Action;

class GetChangeLogHtml extends \Magento\Backend\App\Action
{
    /** @var \Magento\Framework\Controller\Result\RawFactory */
    protected $resultRawFactory;

    /** @var \Magento\Framework\View\LayoutFactory */
    protected $layoutFactory;

    //########################################

    public function __construct(
        \Magento\Framework\View\LayoutFactory $layoutFactory,
        \Magento\Framework\Controller\Result\RawFactory $rawFactory,
        Action\Context $context
    ){
        parent::__construct($context);
        $this->resultRawFactory = $rawFactory;
        $this->layoutFactory = $layoutFactory;
    }

    //########################################

    public function execute()
    {
        $layout = $this->layoutFactory->create();

        /** @var \Ess\M2eProUpdater\Block\Adminhtml\Configuration\Changelog $block */
        $block = $layout->createBlock(
            'Ess\M2eProUpdater\Block\Adminhtml\Configuration\Changelog', '', [
                'moduleCode' => $this->getRequest()->getParam('module')
            ]
        );

        /** @var \Magento\Framework\Controller\Result\Raw $rawResult */
        $rawResult = $this->resultRawFactory->create();
        $rawResult->setContents($block->toHtml());

        return $rawResult;
    }

    //########################################
}