<?php

/*
 * @author     M2E Pro Developers Team
 * @copyright  2011-2016 ESS-UA [M2E Pro]
 * @license    Commercial use is forbidden
 */

namespace Ess\M2eProUpdater\Helper;

class Support extends \Ess\M2eProUpdater\Helper\AbstractHelper
{
    const KNOWLEDGE_BASE_URL = 'https://support.m2epro.com/knowledgebase';
    const DOCUMENTATION_URL  = 'https://docs.m2epro.com';

    protected $backendHelper;

    //########################################

    public function __construct(
        \Magento\Backend\Helper\Data $backendHelper,
        Factory $helperFactory,
        \Magento\Framework\App\Helper\Context $context
    ){
        $this->backendHelper = $backendHelper;
        parent::__construct($helperFactory, $context);
    }

    //########################################

    public function getDocumentationUrl($articleUrl = NULL, $tinyLink = NULL)
    {
        $urlParts[] = self::DOCUMENTATION_URL;

        if ($articleUrl) {
            $urlParts[] = 'display';
        }

        if ($articleUrl) {
            $urlParts[] = trim($articleUrl, '/');
        }

        if ($tinyLink) {
            $urlParts[] = $tinyLink;
        }

        return implode('/', $urlParts);
    }

    public function getKnowledgeBaseUrl($articleUrl = NULL)
    {
        $urlParts[] = self::KNOWLEDGE_BASE_URL;

        if ($articleUrl) {
            $urlParts[] = trim($articleUrl, '/');
        }

        return implode('/', $urlParts);
    }

    //########################################

    public function setPageHelpLink($tinyLink = NULL)
    {
        $this->backendHelper->setPageHelpUrl($this->getDocumentationUrl(NULL, $tinyLink));
    }

    //########################################
}