<?php

/*
 * @author     M2E Pro Developers Team
 * @copyright  2011-2016 ESS-UA [M2E Pro]
 * @license    Commercial use is forbidden
 */

namespace Ess\M2eProUpdater\Observer;

class SystemConfigEdit implements \Magento\Framework\Event\ObserverInterface
{
    const M2EPRO_UPDATER_TAB_NAME      = 'm2epro_updater';
    const INSTALLATION_UPGRADE_SECTION = 'installation_upgrade';

    protected $helperFactory;
    protected $modelFactory;

    //########################################

    public function __construct(
        \Ess\M2eProUpdater\Helper\Factory $helperFactory,
        \Ess\M2eProUpdater\Model\Factory $modelFactory
    ){
        $this->helperFactory = $helperFactory;
        $this->modelFactory  = $modelFactory;
    }

    //########################################

    public function execute(\Magento\Framework\Event\Observer $observer)
    {
        /**@var \Ess\M2eProUpdater\Helper\M2ePro $helper */
        $helper = $this->helperFactory->getObject('M2ePro');
        $helper->clearCachedReleasesInfo();

        /**@var \Ess\M2eProUpdater\Helper\Module $helper */
        $helper = $this->helperFactory->getObject('Module');
        $helper->clearCachedReleasesInfo();
    }

    //########################################
}