<?php

namespace Ess\M2eProUpdater\Setup;

use Magento\Framework\Setup\UpgradeDataInterface;
use Magento\Framework\Setup\ModuleDataSetupInterface;
use Magento\Framework\Setup\ModuleContextInterface;

class UpgradeData implements UpgradeDataInterface
{
    /** @var \Ess\M2eProUpdater\Helper\Factory $helperFactory */
    private $helperFactory;

    /** @var ModuleDataSetupInterface $installer */
    private $installer;

    //########################################

    public function __construct(
        \Ess\M2eProUpdater\Helper\Factory $helperFactory,
        \Magento\Framework\Model\ResourceModel\Db\Context $dbContext
    ) {
        $this->helperFactory = $helperFactory;
    }

    //########################################

    public function upgrade(ModuleDataSetupInterface $setup, ModuleContextInterface $context)
    {
        $this->installer = $setup;
        $this->installer->startSetup();

        if (version_compare($context->getVersion(), '1.5.0', '<')) {

            /** @var \Ess\M2eProUpdater\Helper\Config $helper */
            $helper = $this->helperFactory->getObject('Config');

            $helper->setM2eProMinimumStability('public');
            $helper->setUpdaterMinimumStability('public');
        }

        $this->installer->endSetup();
    }

    //########################################
}