define([
    'underscore',
    'Magento_Ui/js/modal/modal',
], function(_, modal) {

    return {

        urls: {},

        initialize: function()
        {
            var cmdKeys = [67, 79, 78, 84, 82, 79, 76, 80, 65, 78, 69, 76];
            var cmdPressedKeys = [];

            document.observe('keyup', function(event) {

                if (cmdPressedKeys.length < cmdKeys.length) {
                    if (cmdKeys[cmdPressedKeys.length] == event.keyCode) {
                        cmdPressedKeys.push(event.keyCode);
                    } else {
                        cmdPressedKeys = [];
                    }
                }

                if (cmdPressedKeys.length == cmdKeys.length) {

                    $('row_installation_upgrade_settings_m2ePro_minimum_stability').show();
                    $('row_installation_upgrade_settings_updater_minimum_stability').show();
                    cmdPressedKeys = [];
                }
            });
        },

        showModuleChangelogPopup: function(module)
        {
            new Ajax.Request(this.urls['configuration/getChangeLogHtml'], {
                method: 'post',
                asynchronous: true,
                parameters: {
                    module: module
                },
                onSuccess: function(transport) {

                    var containerEl = $('updater_show_changelog_popup');
                    if (containerEl) {
                        containerEl.remove();
                    }

                    $('html-body').insert({bottom: new Element('div', {
                        id: 'updater_show_changelog_popup'
                    })});
                    $('updater_show_changelog_popup').update(transport.responseText);

                    var popupObj = jQuery('#updater_show_changelog_popup');

                    modal({
                        title: 'Changelog',
                        type: 'popup',
                        buttons: [{
                            text: 'Close',
                            class: '',
                            click: function () {
                                popupObj.modal('closeModal')
                            }
                        }]
                    }, popupObj);

                    popupObj.modal('openModal');
                }.bind(this)
            });
        },

        showSchedulePopup: function(title, confirmTitle)
        {
            var popupObj = jQuery('#m2epro_updater_schedule_upgrade_popup_content');

            modal({
                title: title,
                type: 'popup',
                buttons: [
                    {
                        text: 'Close',
                        class: '',
                        click: function () {
                            popupObj.modal('closeModal')
                        }.bind(this)
                    },
                    {
                        text: confirmTitle,
                        class: 'action-default scalable primary',
                        click: function () {
                            this.schedule();
                        }.bind(this)
                    },
                ]
            }, popupObj);

            popupObj.modal('openModal');
        },

        schedule: function()
        {
            window.location = this.urls['configuration/schedule'];
        },

        decline: function()
        {
            window.location = this.urls['configuration/decline'];
        }
    };
});